• ihf

    I am trying to run a program that is part of piecash and getting:

    /private/var/mobile/Containers/Shared/AppGroup/05D14C00-CCAC-4E98-A3CC-96C6944B8534/Pythonista3/Documents/site-packages-3/tzlocal/unix.py:158: UserWarning: Can not find any timezone configuration, defaulting to UTC.
      warnings.warn('Can not find any timezone configuration, defaulting to UTC.')
    stash: <class 'RuntimeError'>: Click will abort further execution because Python 3 was configured to use ASCII as encoding for the environment. Consult https://click.palletsprojects.com/python3/ for mitigation steps.
    
    Additional information: on this system no suitable UTF-8 locales were discovered. This most likely requires resolving by reconfiguring the locale system.```

    posted in Pythonista read more
  • ihf

    Thanks. I suppose I can either put the arguments in a URL or use the clipboard in both directions.
    I guess Ole is no longer maintaining his wonderful creation.

    posted in Pythonista read more
  • ihf

    I’m writing a shortcut which runs a Pythonista script and has arguments. I would prefer not to use the clipboard to send the arguments but I will use it to receive the results. When I execute a script with an argument using the Pythonista action in Shortcuts, My script gives “List out of range“ when it sees sys.arg[1]
    What have I overlooked?

    posted in Pythonista read more
  • ihf

    @ccc Were you making a joke? The use of "bleep" was just a placeholder for ANY module that I attempt to install. It is not a function of what I am installing. It's a problem with pip and stash under Python3 (at least with my environment).

    posted in Pythonista read more
  • ihf

    [~/Documents]$ pip install bleep
    stash: <class 'ImportError'>: This package should not be accessible on Python 3. Either you are trying to run from the python-future src folder or your installation of python-future is corrupted.
    Traceback (most recent call last):
      File "site-packages/stash/bin/pip.py", line 976, in __init__
        import xmlrpclib
    ModuleNotFoundError: No module named 'xmlrpclib'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/private/var/mobile/Containers/Shared/AppGroup/05D14C00-CCAC-4E98-A3CC-96C6944B8534/Pythonista3/Documents/site-packages/stash/system/shruntime.py", line 546, in exec_py_file
        exec (code, namespace, namespace)
      File "site-packages/stash/bin/pip.py", line 1572, in <module>
        repository = get_repository(requirement, site_packages=site_packages, verbose=ns.verbose)
      File "site-packages/stash/bin/pip.py", line 1433, in get_repository
        return PyPIRepository(site_packages=site_packages, verbose=verbose)
      File "site-packages/stash/bin/pip.py", line 979, in __init__
        import xmlrpc.client as xmlrpclib
      File "/private/var/mobile/Containers/Shared/AppGroup/05D14C00-CCAC-4E98-A3CC-96C6944B8534/Pythonista3/Documents/site-packages/xmlrpc/__init__.py", line 7, in <module>
        raise ImportError('This package should not be accessible on Python 3. '
    ImportError: This package should not be accessible on Python 3. Either you are trying to run from the python-future src folder or your installation of python-future is corrupted.
    [~/Documents]$
    

    posted in Pythonista read more
  • ihf

    Ran selfupdate -f. Using Python3. Error persists.

    posted in Pythonista read more
  • ihf

    When I try to use pip under stash 0.7.4, I get:
    stash: <class 'ImportError'>: This package should not be accessible on Python 3. Either you are trying to run from the python-future src folder or your installation of python-future is corrupted.
    How to fix?

    posted in Pythonista read more
  • ihf

    Thanks. I just got it to work using the clipboard module rather than doing the paste.

    posted in Pythonista read more
  • ihf

    I am trying to copy/paste a string from another app into Pythonista but the string has trailing EOL and Pythonista gives an error. Is there a way to get this string into a Pythonista script?

    posted in Pythonista read more
  • ihf

    In case anyone else has the need to use Pythonista to talk to MS SQL server, I just found and successfully tested the pure python MS SQL driver python-tds.

    posted in Pythonista read more

Internal error.

Oops! Looks like something went wrong!